import { routerStore, isActive } from "./routerStore";
export function link(node, href) {
    href && (node.href = href);
    node.addEventListener("click", linkHandler);
    return {
        destroy() {
            node.removeEventListener("click", linkHandler);
        },
    };
}
export function linkHandler(e) {
    e.preventDefault();
    routerStore.redirect(
    // @ts-ignore
    new URL(e.currentTarget.href).pathname);
}
export function redirect(path, replace) {
    routerStore.redirect(path, replace);
}
export { routerStore, isActive };
export { default as Router } from "./Router.svelte";
export { default as Component } from "./Component.svelte";
